Loading...
Searching...
No Matches
vkd3d_shader_parameter_buffer Struct Reference

The linkage of a parameter specified through a uniform buffer, used in struct vkd3d_shader_parameter1. More...

`#include <vkd3d_shader.h>`

## Data Fields

unsigned int | set
| The set of the uniform buffer descriptor.
unsigned int | binding
| The binding index of the uniform buffer descriptor.
uint32_t | offset
| The byte offset of the parameter within the buffer.

## Detailed Description

The linkage of a parameter specified through a uniform buffer, used in struct vkd3d_shader_parameter1.

## Field Documentation

## set

unsigned int vkd3d_shader_parameter_buffer::set

The set of the uniform buffer descriptor.

If the target environment does not support descriptor sets, this value must be set to 0.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h